summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAkinori Hattori <hattya@gentoo.org>2018-09-04 21:33:25 +0900
committerAkinori Hattori <hattya@gentoo.org>2018-09-04 21:33:25 +0900
commit54add5b98f160f47a21c1470084ebed759a0324f (patch)
tree13a0afffe6bfe7f5d3fb31bdd4fd7c3e8bcbaec3
parentdev-python/cangjie: update patch (diff)
downloadgentoo-54add5b98f160f47a21c1470084ebed759a0324f.tar.gz
gentoo-54add5b98f160f47a21c1470084ebed759a0324f.tar.bz2
gentoo-54add5b98f160f47a21c1470084ebed759a0324f.zip
dev-python/cangjie: new upstream release
Package-Manager: Portage-2.3.40, Repoman-2.3.9
-rw-r--r--dev-python/cangjie/Manifest1
-rw-r--r--dev-python/cangjie/cangjie-1.3.ebuild50
2 files changed, 51 insertions, 0 deletions
diff --git a/dev-python/cangjie/Manifest b/dev-python/cangjie/Manifest
index 9f8d21a5a54..7b9869e0eac 100644
--- a/dev-python/cangjie/Manifest
+++ b/dev-python/cangjie/Manifest
@@ -1 +1,2 @@
DIST cangjie-1.2.tar.xz 221524 BLAKE2B 149d10c6d1806b08e1de852d7e48807bd027986188555caac1b9c1495573230341e611466563f8fc3072b2cbd6a4913646c44408c91816ce9fa0d67655796bb2 SHA512 4cc3e0e4a77b671c93fe39f17c970d458d6d935c1efa33f9d8de0a0311ed6c3a444fd41431d553f70f3e96065f8136801128d8b16c86d0340c78ab560bd9e63f
+DIST cangjie-1.3.tar.xz 237156 BLAKE2B a94f51df82136edddeeeecb729737a7be1cf4677c86df153ba86b436a404615156e6fe43d6efbb6ae602982763a4cd8ea09850882942a70a3a3737075bde0c01 SHA512 633b0040740105573fe72811c2f763756b67784330520ecadd5e0b24fc51e414f54a71f03444940f20c8a4943a14b65e2f1d18339696e2ea5cf659de8592df2a
diff --git a/dev-python/cangjie/cangjie-1.3.ebuild b/dev-python/cangjie/cangjie-1.3.ebuild
new file mode 100644
index 00000000000..08b958d139c
--- /dev/null
+++ b/dev-python/cangjie/cangjie-1.3.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+PYTHON_COMPAT=( python{3_4,3_5,3_6} )
+
+inherit autotools python-r1
+
+DESCRIPTION="Python wrapper for libcangjie"
+HOMEPAGE="http://cangjians.github.io/"
+SRC_URI="https://github.com/Cangjians/py${PN}/releases/download/v${PV}/${P#py}.tar.xz"
+
+LICENSE="LGPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="${PYTHON_DEPS}
+ app-i18n/libcangjie"
+DEPEND="${RDEPEND}
+ dev-python/cython[${PYTHON_USEDEP}]
+ virtual/pkgconfig"
+
+src_prepare() {
+ default
+ eautoreconf
+}
+
+src_configure() {
+ python_configure() {
+ ECONF_SOURCE="${S}" econf
+ }
+ python_foreach_impl run_in_build_dir python_configure
+}
+
+src_compile() {
+ python_foreach_impl run_in_build_dir default
+}
+
+src_test() {
+ python_foreach_impl run_in_build_dir default
+}
+
+src_install() {
+ python_foreach_impl run_in_build_dir default
+ einstalldocs
+
+ find "${D}" -name '*.la' -delete || die
+}